--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: The column to modify when touching a model instance, as a symbol. Also used as the default column when touching associations, if the associations don't specify a column.
  name: touch_column
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: A hash specifying the associations to touch when instances are updated or destroyed. Keys are association dataset method name symbols and values are column name symbols.
  name: touched_associations
  rw: R
class_methods: []

comment: 
constants: []

full_name: Sequel::Plugins::Touch::ClassMethods
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: inherited
- !ruby/object:RI::MethodSummary 
  name: touch_associations
name: ClassMethods
superclass: 
